local scheme = [[
[colors]
foreground={foreground}
background={background}

regular0={background}  # black (or white in a bright theme)
regular1=7f1010  # red
regular2=009A57  # green
regular3=813e00  # yellow
regular4=0186C7  # blue
regular5=721045  # magenta
regular6=00538b  # cyan
regular7={background}  # white (or black in a bright theme)

bright0=e4e4e4
bright1=ff8686
bright2=bcd2aa
bright3=989838
bright4=00AEFF
bright5=8888CC
bright6=4FA8A8
bright7={foreground}
]]

if theme.kind == "rose-pine" then
	scheme = [[
	[cursor]
	color = {text} {highlightHigh}

	[colors]
	background = {base}
	foreground = {text}

	selection-foreground = {text}
	selection-background = {highlightMed}

	urls = {iris}

	regular0 = {overlay}
	regular1 = {love}
	regular2 = {pine}
	regular3 = {gold}
	regular4 = {foam}
	regular5 = {iris}
	regular6 = {rose}
	regular7 = {text}

	bright0 = {subtle}
	bright1 = {love}
	bright2 = {pine}
	bright3 = {gold}
	bright4 = {foam}
	bright5 = {iris}
	bright6 = {rose}
	bright7 = {text}
	]]
end

save_config("foot", scheme, theme)
